Draft SelectPlane/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/sv|Name=Draft_Workingplane|Workbenches=Skiss|MenuLocation=Drafting → SelectPlane}}")
 
(Created page with "====Beskrivning==== Detta verktyg väntar på att användaren ska markera en existerande yta i 3D vyn eller att välja ett av de förinställda planen. Arbetsplanet kommer d...")
Line 1: Line 1:
{{GuiCommand/sv|Name=Draft_Workingplane|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Drafting → SelectPlane}}
{{GuiCommand/sv|Name=Draft_Workingplane|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Drafting → SelectPlane}}


==Description==
====Beskrivning====

The Draft module features a working plane system, that allows you to specify a custom plane in the 3D space on which next Draft command will occur. There are several methods to define the working plane:
Detta verktyg väntar på att användaren ska markera en existerande yta i 3D vyn eller att välja ett av de förinställda planen. Arbetsplanet kommer då att ställas in till det planet, och alla efterföljande 2D operationer kommer endast att hända på detta plan.
* From a selected face
* From the current view
* From a preset: top, frontal or lateral
* None, in which case the working plane is adapted automatically to the current view when you start a command, or to a face if you start drawing on an existing face.


[[Image:Workingplane_example.jpg|400px]]
[[Image:Workingplane_example.jpg|400px]]

Revision as of 20:55, 29 May 2014

Draft_Workingplane

Menyplacering
Drafting → SelectPlane
Arbetsbänkar
Skiss
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

Detta verktyg väntar på att användaren ska markera en existerande yta i 3D vyn eller att välja ett av de förinställda planen. Arbetsplanet kommer då att ställas in till det planet, och alla efterföljande 2D operationer kommer endast att hända på detta plan.

How to use

  1. Press the SelectPlane button. If your button doesn't look like this, see this note.

Options

  • To set the workplane to an existing face: select a face of an existing object in the 3D view, then press the SelectPlane button
  • Pressing the VIEW button will set the working plane as the view plane, perpendicular to the camera axis and passing through the (0,0,0) origin point.
  • Pressing the NONE will unset any current working plane. The next 2D operations will be view-dependent.
  • You can also specify an offset value, which will set your working plane at a certain distance from the plane you select.

Scripting

Working plane objects can easily be created and manipulated in scripts and macros. You can create your own, and use them independently of the current Draft working plane.

Example:

 import WorkingPlane
 myPlane = WorkingPlane.plane()

You can also access the current Draft working plane:

 import FreeCAD
 draftPlane = FreeCAD.DraftWorkingPlane

The working plane has a complete scripting API on its own, with convenience functions to position it and convert to/from placements.